%define module gwine
%define m_distro gwine
%define m_name gwine
%define _enable_test 1

Name: gwine
Version: 0.10.3
Release: alt5

Summary: Gnome application to manage your wine cellar

License: GPL
Group: Office
Url: http://home.gna.org/gwine/

Packager: Vitaly Lipatov <lav@altlinux.ru>

BuildArch: noarch
Source: http://download.gna.org/gwine/%name-%version.tar.bz2

# Typical environment for GNOME program
Requires(post): GConf
Requires(post,postun): scrollkeeper
Requires(post,postun): desktop-file-utils
BuildPreReq: GConf libGConf-devel perl-Gnome2-devel
BuildPreReq: desktop-file-utils


# Automatically added by buildreq on Wed Jan 07 2009 (-bi)
BuildRequires: desktop-file-utils librarian perl-DateTime perl-Gnome2 perl-Gnome2-GConf perl-Gtk2-GladeXML perl-I18N-LangTags perl-devel perl-libintl

%description
Gwine is a Gnome application to manage your wine cellar.

%prep
%setup
%__subst "s|tgconftool|tgconftool-2|g" Makefile.PL
%__subst "s|update-mime-database|echo|g" Makefile.PL

%build
%perl_vendor_build

%install
%perl_vendor_install
%makeinstall_std XDG_DATA_DIRS=%buildroot%_datadir
%find_lang %name
#rm -rf %buildroot/var/lib/scrollkeeper

%files -f %name.lang
%_bindir/%name
%perl_vendor_privlib/Gwine/
%_desktopdir/%name.desktop
%_datadir/%name/
%_datadir/gnome/help/%name/
%_datadir/mime/packages/%name.xml
%_datadir/omf/%name/
%_pixmapsdir/%name.png
#_man1dir/*

%changelog
* Fri Dec 24 2010 Vitaly Lipatov <lav@altlinux.ru> 0.10.3-alt5
- build without man page

* Sat Apr 18 2009 Vitaly Lipatov <lav@altlinux.ru> 0.10.3-alt4
- fix file packing

* Wed Jan 07 2009 Vitaly Lipatov <lav@altlinux.ru> 0.10.3-alt2
- cleanup spec, update buildreq

* Sun Jun 10 2007 Vitaly Lipatov <lav@altlinux.ru> 0.10.3-alt1
- initial build for ALT Linux Sisyphus
